#
# Copyright (c) 2006 Mike L. Austin.  All rights reserved.
# see LICENCE.txt for details
#

class Object

  def with( &block )
    instance_eval &block
    return self
  end

end

require 'enumerator'
require 'events'
require 'models'
require 'graphics'
require 'screen'
require 'window'
require 'widgets/shelf'
require 'widgets/label'
require 'widgets/input'
require 'widgets/editor'
require 'widgets/menu'
require 'widgets/table'
require 'widgets/scene'

