#
# Copyright (c) 2006 Mike L. Austin.  All rights reserved.
# see LICENCE.txt for details
#

module Inertia

class Model

  attr :listeners
  
  def initialize()
    @listeners = []
  end
  
  def add_listener( object )
    @listeners.push( object )
  end
  
  def broadcast( event )
    @listeners.each do | listener |
      listener.send_event( event )
    end
  end

end

end
