#
# Copyright (c) 2006 Mike L. Austin.  All rights reserved.
# see LICENCE.txt for details
#

require 'window'
require 'widgets/button'
require 'widgets/label'
require 'widgets/input'

module Inertia

class ObjectPalette < Window

@source = __FILE__

  def initialize()
    super
    self.title = "Object Palette"
    self.extent = [290, 225]

    @client.add_child( Window.new.with do | w |
      w.title = "Window"
      w.origin = [10, 10]; w.extent = [150, 105]
      def w.draw_shadow()
      end
    end )

    @client.add_child( Button.new.with do | b |
      b.caption = "Button"
      b.origin = [180, 10]#; w.extent = [150, 100]
    end )
    @client.add_child( Label.new.with do | l |
      l.text = "Label"
      l.origin = [180, 50]#; w.extent = [150, 100]
    end )
    @client.add_child( Input.new.with do | t |
      t.text = "Input"
      t.origin = [180, 90]#; w.extent = [150, 100]
    end )

    @client.add_child( Clock.new.with do
      self.origin = [10, 130]; self.extent = [60, 60]
    end )
    @client.add_child( Scene.new.with do
      self.origin = [80, 130]; self.extent = [60, 60]
    end )
    @client.add_child( DropSource.new.with do
      self.origin = [150, 130]; self.extent = [60, 60]
    end )
  end

end

end
